'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
const COMPILATION_RESPONSE_TYPES = exports.COMPILATION_RESPONSE_TYPES = {
  FAILED: 'Failed',
  SUCCEEDED: 'Succeeded',
  REJECTED: 'Rejected',
  TIMEDOUT: 'TimedOut'
};

const COMPILATION_ERRORS = exports.COMPILATION_ERRORS = {
  COMPILE_REJECTED: COMPILATION_RESPONSE_TYPES.REJECTED,
  COMPILE_FAILED: COMPILATION_RESPONSE_TYPES.FAILED,
  COMPILE_TIMEDOUT: COMPILATION_RESPONSE_TYPES.TIMEDOUT,
  CLOSED: 'ConnectionClosed',
  FAILED: 'ConnectionFailed'
};

const RESPONSE_TO_ERROR = exports.RESPONSE_TO_ERROR = {
  [COMPILATION_RESPONSE_TYPES.REJECTED]: COMPILATION_ERRORS.COMPILE_REJECTED,
  [COMPILATION_RESPONSE_TYPES.FAILED]: COMPILATION_ERRORS.COMPILE_FAILED,
  [COMPILATION_RESPONSE_TYPES.TIMEDOUT]: COMPILATION_ERRORS.COMPILE_TIMEDOUT
};

const RETRY_DELAYS = exports.RETRY_DELAYS = [500, 1000, 1000, 2000, 5000];

const DEFAULT_UPLOAD_CONFIG_URL = exports.DEFAULT_UPLOAD_CONFIG_URL = 'https://compile.xod.io/upload/';
const DEFAULT_CLOUD_COMPILE_URL = exports.DEFAULT_CLOUD_COMPILE_URL = 'wss://compile.xod.io/compile';