'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var R = _interopRequireWildcard(_ramda);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fsExtra = require('fs-extra');

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _nodeFetch = require('node-fetch');

var _nodeFetch2 = _interopRequireDefault(_nodeFetch);

var _xodFuncTools = require('xod-func-tools');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

/**
 * Downloads some file from the internet and put in the destination path.
 * If the destination path has directories that do not exist it creates them.
 */
// :: URL -> Path -> Promise Path Error
exports.default = R.curry((url, destinationPath) => (0, _nodeFetch2.default)(url).then((0, _xodFuncTools.tapP)(() => _fsExtra2.default.ensureDir(_path2.default.dirname(destinationPath)))).then(res => {
  const partPath = `${destinationPath}.part`;
  const file = _fsExtra2.default.createWriteStream(partPath);
  return new Promise((resolve, reject) => {
    res.body.pipe(file).on('error', reject).on('finish', () => {
      file.close(() => resolve(partPath));
    });
  });
}).then(partPath => _fsExtra2.default.rename(partPath, destinationPath)).then(R.always(destinationPath)));